# implementation of Image and Canvas with Differing Dimensions https://iiif.io/api/cookbook/recipe/0006-text-language
from .. import iiifpapi3
iiifpapi3.BASE_URL = r"https://iiif.io/api/cookbook/recipe/0006-text-language/" 
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
manifest.add_label("en","Whistler's Mother")
manifest.add_label("fr","La Mère de Whistler")
metaentry = manifest.add_metadata()
metaentry.add_label(language="en",label="Creator")
metaentry.add_label(language="fr",label="Auteur")
metaentry.add_value(value="Whistler, James Abbott McNeill")
metaentry2 = manifest.add_metadata()
metaentry2.add_label(language="en",label="Subject")
metaentry2.add_label(language="fr",label="Sujet")
metaentry2.add_value(language="en",value="McNeill Anna Matilda, mother of Whistler (1804-1881)")
metaentry2.add_value(language="fr",value="McNeill Anna Matilda, mère de Whistler (1804-1881)")
manifest.add_summary(text="Arrangement in Grey and Black No. 1, also called Portrait of the Artist's Mother.",
                    language="en")
manifest.add_summary(text="Arrangement en gris et noir n°1, also called Portrait de la mère de l'artiste.",
                    language="fr")
reqstat = manifest.set_requiredStatement()
reqstat.add_label(language="en",label="Held By")
reqstat.add_label(language="fr",label="Détenu par")
reqstat.add_value(value="Musée d'Orsay, Paris, France")
canvas = manifest.add_canvas_to_items()
canvas.set_id(extendbase_url="canvas/p1")
canvas.set_height(991)
canvas.set_width(1114)
annopage = canvas.add_annotationpage_to_items()
annopage.set_id(extendbase_url="page/p1/1")
annotation = annopage.add_annotation_to_items(target=canvas.id) 
annotation.set_motivation("painting")
annotation.set_id(extendbase_url="annotation/p0001-image")
annotation.body.set_id("https://iiif.io/api/image/3.0/example/reference/329817fc8a251a01c393f517d8a17d87-Whistlers_Mother/full/max/0/default.jpg")
annotation.body.set_format("image/jpeg")
annotation.body.set_type("Image")
annotation.body.set_height(991)
annotation.body.set_width(1114)
srv = annotation.body.add_service()
srv.set_id("https://iiif.io/api/image/3.0/example/reference/329817fc8a251a01c393f517d8a17d87-Whistlers_Mother")
srv.set_profile("level1")
srv.set_type("ImageService3")
if __name__ == "__main__":
    manifest.json_save("0006-text-language_manifest.json")