# https://iiif.io/api/cookbook/recipe/0013-placeholderCanvas/
from .. import iiifpapi3
iiifpapi3.BASE_URL = r"https://iiif.io/api/cookbook/recipe/0013-placeholderCanvas/"
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
canvas = manifest.add_canvas_to_items()
canvas.set_id(extendbase_url=["canvas","donizetti"])
canvas.set_height(360)
canvas.set_width(640)
canvas.set_duration(7278.466)
phcnv = canvas.set_placeholderCanvas()
phcnv.set_id(extendbase_url="canvas/donizetti/placeholder")
phcnv.set_height(360)
phcnv.set_width(640)
annopage = phcnv.add_annotationpage_to_items()
annopage.set_id(extendbase_url="canvas/donizetti/placeholder/1")
annotation = annopage.add_annotation_to_items(target=phcnv.id) 
annotation.set_motivation("painting")
annotation.set_id(extendbase_url="canvas/donizetti/placeholder/1-image")
annotation.body.set_height(360)
annotation.body.set_width(640)
annotation.body.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/act1-thumbnail.png")
annotation.body.set_format("image/png")
annotation.body.set_type("Image")
# video
annopage = canvas.add_annotationpage_to_items()
annopage.set_id(extendbase_url="donizetti/1")
annotation = annopage.add_annotation_to_items(target=canvas.id) 
annotation.set_motivation("painting")
annotation.set_id(extendbase_url="donizetti/1-video")
annotation.body.set_height(360)
annotation.body.set_width(640)
annotation.body.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/vae0637_accessH264_low.mp4")
annotation.body.set_format("video/mp4")
annotation.body.set_type("Video")
annotation.body.set_duration(7278.466)
if __name__ == "__main__":
    manifest.json_save("0013-placeholderCanvas_manifest.json")