# https://iiif.io/api/cookbook/recipe/0026-toc-opera/
from .. import iiifpapi3
iiifpapi3.BASE_URL = "https://iiif.io/api/cookbook/recipe/0026-toc-opera/"
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
manifest.add_label('it',"L'Elisir D'Amore")
manifest.add_label('en',"The Elixir of Love")
cnv = manifest.add_canvas_to_items()
cnv.set_id(extendbase_url="canvas/1")
cnv.set_width(1920)
cnv.set_height(1080)
cnv.set_duration(7278.422)
annoP = cnv.add_annotationpage_to_items()
annoP.set_id(extendbase_url="canvas/1/annotation_page/1")
anno = annoP.add_annotation_to_items(target=cnv.id)
anno.set_id(extendbase_url="canvas/1/annotation_page/1/annotation/1")
anno.set_motivation('painting')
anno.body.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/vae0637_accessH264_low.mp4")
anno.body.set_type("Video")
anno.body.set_format("video/mp4")
anno.body.set_height(1080)
anno.body.set_width(1920)
anno.body.set_duration(7278.422)

rng = manifest.add_range_to_structures()
rng.set_id(extendbase_url="range/1")
rng.add_label(language='it',text="Gaetano Donizetti, L'Elisir D'Amore")
subrngAttoPrimo = rng.add_range_to_items()
subrngAttoPrimo.set_id(extendbase_url="range/2")
subrngAttoPrimo.add_label(language='it',text="Atto Primo")
sub3rng = subrngAttoPrimo.add_range_to_items()
sub3rng.set_id(extendbase_url="range/3")
sub3rng.add_label("it","Preludio e Coro d'introduzione – Bel conforto al mietitore")
sub3rng.add_canvas_to_items(cnv.id+"#t=0,302.05")
sub4rng = subrngAttoPrimo.add_range_to_items()
sub4rng.set_id(extendbase_url="range/4")
sub4rng.add_label("en","Remainder of Atto Primo")
sub4rng.add_canvas_to_items(cnv.id+"#t=302.05,3971.24")
subrngAttoSecondo = rng.add_range_to_items()
subrngAttoSecondo.set_id(extendbase_url="range/5")
subrngAttoSecondo.add_label(language='it',text="Atto Secondo")
subrngAttoSecondo.add_canvas_to_items(cnv.id+"#t=3971.24")

if __name__ == "__main__":
    manifest.json_save("0026-toc-opera_manifest.json")
