# https://iiif.io/api/cookbook/recipe/0065-opera-multiple-canvases/
from .. import iiifpapi3
iiifpapi3.BASE_URL = "https://iiif.io/api/cookbook/recipe/0065-opera-multiple-canvases/"
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
manifest.add_label('it',"L'Elisir D'Amore")
manifest.add_label('en',"The Elixir of Love")
# maybe better to use none for 2019
manifest.add_metadata(label="Date Issued",value="2019",language_l='en',language_v='en')
manifest.add_metadata(label="Publisher",value="Indiana University Jacobs School of Music",language_l='en',language_v='en')
cnv = manifest.add_canvas_to_items()
cnv.set_id(extendbase_url="canvas/1")
cnv.set_width(1920)
cnv.set_height(1080)
cnv.set_duration(3971.24)
cnv.add_label("en","Atto Primo")
annoP = cnv.add_annotationpage_to_items()
annoP.set_id(extendbase_url="canvas/1/annotation_page/1")
anno = annoP.add_annotation_to_items(target=cnv.id)
anno.set_id(extendbase_url="canvas/1/annotation_page/1/annotation/1")
anno.set_motivation('painting')
anno.body.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/vae0637_accessH264_low_act_1.mp4")
anno.body.set_type("Video")
anno.body.set_format("video/mp4")
anno.body.set_height(1080)
anno.body.set_width(1920)
anno.body.set_duration(3971.24)
tmb = cnv.add_thumbnail()
tmb.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/act1-thumbnail.png")
tmb.set_type("Image")

cnv2 = manifest.add_canvas_to_items()
cnv2.set_id(extendbase_url="canvas/2")
cnv2.set_width(1920)
cnv2.set_height(1080)
cnv2.set_duration(3307.22)
cnv2.add_label("en","Atto Secondo")
annoP = cnv2.add_annotationpage_to_items()
annoP.set_id(extendbase_url="canvas/2/annotation_page/1")
anno = annoP.add_annotation_to_items(target=cnv2.id)
anno.set_id(extendbase_url="canvas/2/annotation_page/1/annotation/1")
anno.set_motivation('painting')
anno.body.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/vae0637_accessH264_low_act_2.mp4")
anno.body.set_type("Video")
anno.body.set_format("video/mp4")
anno.body.set_height(1080)
anno.body.set_width(1920)
anno.body.set_duration(3307.22)
tmb = cnv2.add_thumbnail()
tmb.set_id("https://fixtures.iiif.io/video/indiana/donizetti-elixir/act2-thumbnail.png")
tmb.set_type("Image")

rng = manifest.add_range_to_structures()
rng.set_id(extendbase_url="range/1")
rng.add_label(language='it',text="Gaetano Donizetti, L'Elisir D'Amore")
subrngAttoPrimo = rng.add_range_to_items()
subrngAttoPrimo.set_id(extendbase_url="range/2")
# strange that language is english for Atto Primo should be italian
subrngAttoPrimo.add_label(language='en',text="Atto Primo")
sub3rng = subrngAttoPrimo.add_range_to_items()
sub3rng.set_id(extendbase_url="range/3")
sub3rng.add_label("it","Preludio e Coro d'introduzione – Bel conforto al mietitore")
sub3rng.add_canvas_to_items(cnv.id+"#t=0,302.05")
sub4rng = subrngAttoPrimo.add_range_to_items()
sub4rng.set_id(extendbase_url="range/4")
sub4rng.add_label("en","Remainder of Atto Primo")
sub4rng.add_canvas_to_items(cnv.id+"#t=302.05,3971.24")
subrngAttoSecondo = rng.add_range_to_items()
subrngAttoSecondo.set_id(extendbase_url="range/5")
# strange that language is english for Atto secondo should be italian
subrngAttoSecondo.add_label(language='en',text="Atto Secondo")
subrngAttoSecondo.add_canvas_to_items(cnv2.id+"#t=0,3307.22")

if __name__ == "__main__":
    manifest.json_save("0065-opera-multiple-canvases_manifest.json")
