# https://iiif.io/api/cookbook/recipe/0234-provider/
from .. import iiifpapi3
iiifpapi3.BASE_URL = r"https://iiif.io/api/cookbook/recipe/0234-provider/"
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
manifest.add_label("en","Playbill Cover")
manifest.add_summary("en","Cover of playbill for \"Akiba gongen kaisen-banashi,\" \"Futatsu chōchō kuruwa nikki\" and \"Godairiki koi no fūjime\" performed at the Chikugo Theater in Osaka from the fifth month of Kaei 2 (May, 1849); main actors: Gadō Kataoka II, Ebizō Ichikawa VI, Kitō Sawamura II, Daigorō Mimasu IV, and Karoku Nakamura I; on front cover: producer Mominosuke Ichikawa's crest.")
prov = manifest.add_provider()
prov.set_id("https://id.loc.gov/authorities/n79055331")
prov.set_type()
prov.add_label(language='en',text="UCLA Library")
homp = prov.add_homepage()
homp.set_id("https://digital.library.ucla.edu/")
homp.set_type("Text")
homp.add_label("en","UCLA Library Digital Collections")
homp.set_format("text/html")
homp.set_language("en")
logo = prov.add_logo()
logo.set_id("https://iiif.library.ucla.edu/iiif/2/UCLA-Library-Logo-double-line-2/full/full/0/default.png")
serv = logo.add_service()
serv.set_id("https://iiif.library.ucla.edu/iiif/2/UCLA-Library-Logo-double-line-2")
serv.set_type("ImageService3")
serv.set_profile("level2")
serv.set_width(1200)
serv.set_height(502)
serv.add_size(width=300,height=126)
serv.add_size(600,251)
serv.add_size(1200,502)
seAls = prov.add_seeAlso()
seAls.set_id("https://id.loc.gov/authorities/names/n79055331.madsxml.xml")
seAls.set_type("Dataset")
seAls.add_label("en","US Library of Congress data about the UCLA Library")
seAls.set_format("application/xml")
seAls.set_profile("http://www.loc.gov/mads/v2")



canvas = manifest.add_canvas_to_items()
canvas.set_id(extendbase_url="canvas/p0")
canvas.add_label("en","front cover with color bar")
canvas.set_height(5312)
canvas.set_width(4520)
annopage = canvas.add_annotationpage_to_items()
annopage.set_id(extendbase_url="page/p0/1")
annotation = annopage.add_annotation_to_items(target=canvas.id) 
annotation.set_motivation("painting")
annotation.set_id(extendbase_url="annotation/p0000-image")
annotation.body.set_height(5312)
annotation.body.set_width(4520)
annotation.body.set_id("https://iiif.io/api/image/3.0/example/reference/4f92cceb12dd53b52433425ce44308c7-ucla_bib1987273_no001_rs_001_full/full/max/0/default.jpg")
annotation.body.set_format("image/jpeg")
annotation.body.set_type("Image")
srv = annotation.body.add_service()
srv.set_id("https://iiif.io/api/image/3.0/example/reference/4f92cceb12dd53b52433425ce44308c7-ucla_bib1987273_no001_rs_001_full")
srv.set_type("ImageService3")
srv.set_profile("level1")
if __name__ == "__main__":
    manifest.json_save("0234-provider.json")