# implementation of Image and Canvas with Differing Dimensions https://iiif.io/api/cookbook/recipe/0261-non-rectangular-commenting/
from .. import iiifpapi3
iiifpapi3.BASE_URL = r"https://iiif.io/api/cookbook/recipe/0261-non-rectangular-commenting/" 
manifest = iiifpapi3.Manifest()
manifest.set_id(extendbase_url="manifest.json")
manifest.add_label("en","Picture of Göttingen taken during the 2019 IIIF Conference")
canvas = manifest.add_canvas_to_items()
canvas.set_id(extendbase_url="canvas/p1")
canvas.set_height(3024)
canvas.set_width(4032)
annopage = canvas.add_annotationpage_to_items()
annopage.set_id(extendbase_url="page/p1/1")
annotation = annopage.add_annotation_to_items(target=canvas.id) 
annotation.set_motivation("painting")
annotation.set_id(extendbase_url="annotation/p0001-image")
annotation.body.set_id("https://iiif.io/api/image/3.0/example/reference/918ecd18c2592080851777620de9bcb5-gottingen/full/max/0/default.jpg")
annotation.body.set_format("image/jpeg")
annotation.body.set_type("Image")
annotation.body.set_height(3024)
annotation.body.set_width(4032)
srv = annotation.body.add_service()
srv.set_id("https://iiif.io/api/image/3.0/example/reference/918ecd18c2592080851777620de9bcb5-gottingen")
srv.set_profile("level1")
srv.set_type("ImageService3")
canvasannopage = canvas.add_annotationpage_to_annotations()
canvasannopage.set_id(extendbase_url="page/p2/1")
annotation2 = canvasannopage.add_annotation_to_items() 
annotation2.set_motivation("tagging")
annotation2.set_id(extendbase_url="annotation/p0002-svg")
annotation2.body.set_format("text/plain")
annotation2.body.set_type("TextualBody")
annotation2.body.set_value("Gänsenliessel-Brunnen")
annotation2.body.set_language("de")
annotation2.set_target_specific_resource()
annotation2.target.set_source(canvas.id)
svg ="<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'><g><path d='M270.000000,1900.000000 L1530.000000,1900.000000 L1530.000000,1610.000000 L1315.000000,1300.000000 L1200.000000,986.000000 L904.000000,661.000000 L600.000000,986.000000 L500.000000,1300.000000 L270,1630 L270.000000,1900.000000' /></g></svg>"
annotation2.target.set_selector_as_SvgSelector(value=svg)
if __name__ == "__main__":
    manifest.json_save("0261-non-rectangular-commenting.json")